Bug 435651 - gtk-doc.make breaks make dist (upstream patch attached)
gtk-doc.make breaks make dist (upstream patch attached)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk-doc (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 20:49 EST by Todd Zullinger
Modified: 2009-07-14 12:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch to fix this bug and update the specfile (2.28 KB, patch)
2008-03-02 20:49 EST, Todd Zullinger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 509539 None None None Never

  None (edit)
Description Todd Zullinger 2008-03-02 20:49:31 EST
gtk-doc-1.9 ships a gtk-doc.make that breaks make dist for projects that don't
use a $MODULE.types file.  This is fixed in upstream svn after being reported by
Matthew Barnes as http://bugzilla.gnome.org/509539

I don't know how imminent a new gtk-doc release is (either upstream or just a
package build in Fedora).  If neither are coming soon, it'd be nice to apply the
simple upstream patch and push an update.  (I'm biased of course, since this bug
has already bitten me and stolen a bit of my time. :)

I'd be happy to apply this and push the update for rawhide and F-8 to save you
the effort, if you think an update is warranted.
Comment 1 Todd Zullinger 2008-03-02 20:49:31 EST
Created attachment 296535 [details]
Upstream patch to fix this bug and update the specfile
Comment 2 Matthias Clasen 2008-03-02 23:15:51 EST
I don't think there is a particularly strong need to push this out urgently. 
But if you want to go ahead and build packages and file an update, feel free to
do so.
Comment 3 Bug Zapper 2008-05-14 01:44:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:39:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:00:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.